Groovy 1.7.10

## org.codehaus.groovy.classgen
[Java] Class MethodCaller

    java.lang.Object
      org.codehaus.groovy.classgen.MethodCaller

All Implemented Interfaces:
  org.objectweb.asm.Opcodes

    public class MethodCaller
    extends Object

A helper class to invoke methods more easily in ASM

Authors:
  James Strachan

Version:
  \$Revision: 6778 \$

Constructor Summary
`MethodCaller(int opcode, Class theClass, String name)`

Method Summary
`void` | `call(org.objectweb.asm.MethodVisitor methodVisitor)`
`protected Method` | `getMethod()`
`String` | `getMethodDescriptor()`
`static MethodCaller` | `newInterface(Class theClass, String name)`
`static MethodCaller` | `newStatic(Class theClass, String name)`
`static MethodCaller` | `newVirtual(Class theClass, String name)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MethodCaller

    public MethodCaller(int opcode, Class theClass, String name)

Method Detail

### call

    public void call(org.objectweb.asm.MethodVisitor methodVisitor)

### getMethod

    protected Method getMethod()

### getMethodDescriptor

    public String getMethodDescriptor()

### newInterface

    public static MethodCaller newInterface(Class theClass, String name)

### newStatic

    public static MethodCaller newStatic(Class theClass, String name)

### newVirtual

    public static MethodCaller newVirtual(Class theClass, String name)

Copyright © 2003-2010 The Codehaus. All rights reserved.